Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.aop.annotation
Class AnnotationCreator

    java.lang.Object
      org.jboss.aop.annotation.AnnotationCreator

All Implemented Interfaces:
  AnnotationParserVisitor

public class AnnotationCreator
extends Object
implements AnnotationParserVisitor

Comment

Version:
  $Revision: 1.3 $
Author:
  Bill Burke

Field Summary
`Object` | `typeValue`

Constructor Summary
`AnnotationCreator(Class annotation, Class type)`

Method Summary
`static Object` | `createAnnotation(ASTAnnotation node, Class annotation)`
`static Object` | `createAnnotation(String annotationExpr, Class annotation)`
`Object` | `visit(ASTAnnotation node, Object data)`
`Object` | `visit(ASTChar node, Object data)`
`Object` | `visit(ASTIdentifier node, Object data)`
`Object` | `visit(ASTMemberValueArrayInitializer node, Object data)`
`Object` | `visit(ASTMemberValuePair node, Object data)`
`Object` | `visit(ASTMemberValuePairs node, Object data)`
`Object` | `visit(ASTSingleMemberValue node, Object data)`
`Object` | `visit(ASTStart node, Object data)`
`Object` | `visit(ASTString node, Object data)`
`Object` | `visit(SimpleNode node, Object data)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### typeValue

    public Object typeValue

Constructor Detail

### AnnotationCreator

    public AnnotationCreator(Class annotation,
                             Class type)

Method Detail

### visit

    public Object visit(ASTMemberValuePairs node,
                        Object data)

  Specified by:
    `visit` in interface `AnnotationParserVisitor`

### visit

    public Object visit(ASTMemberValuePair node,
                        Object data)

  Specified by:
    `visit` in interface `AnnotationParserVisitor`

### visit

    public Object visit(ASTSingleMemberValue node,
                        Object data)

  Specified by:
    `visit` in interface `AnnotationParserVisitor`

### visit

    public Object visit(ASTIdentifier node,
                        Object data)

  Specified by:
    `visit` in interface `AnnotationParserVisitor`

### visit

    public Object visit(ASTString node,
                        Object data)

  Specified by:
    `visit` in interface `AnnotationParserVisitor`

### visit

    public Object visit(ASTChar node,
                        Object data)

  Specified by:
    `visit` in interface `AnnotationParserVisitor`

### visit

    public Object visit(ASTMemberValueArrayInitializer node,
                        Object data)

  Specified by:
    `visit` in interface `AnnotationParserVisitor`

### visit

    public Object visit(ASTAnnotation node,
                        Object data)

  Specified by:
    `visit` in interface `AnnotationParserVisitor`

### visit

    public Object visit(SimpleNode node,
                        Object data)

  Specified by:
    `visit` in interface `AnnotationParserVisitor`

### visit

    public Object visit(ASTStart node,
                        Object data)

  Specified by:
    `visit` in interface `AnnotationParserVisitor`

### createAnnotation

    public static Object createAnnotation(ASTAnnotation node,
                                          Class annotation)
                                   throws Exception

  Throws:
    `Exception`

### createAnnotation

    public static Object createAnnotation(String annotationExpr,
                                          Class annotation)
                                   throws Exception

  Throws:
    `Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 JBoss Inc. All Rights Reserved.